package com.srs.survey.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.survey.domain.SurSurvey;

/**
 * 学工去向调查发布	Service接口
 *
 * @author srs
 * @date 2025-03-13
 */
public interface ISurSurveyService extends IService<SurSurvey> {


    public AjaxResult listStu(SurSurvey param);

    /**
     * 查询学工去向调查发布	
     *
     * @param surveyId 学工去向调查发布	主键
     * @return 学工去向调查发布	
     */
    public SurSurvey selectSurSurveyBySurveyId(Long surveyId);

    /**
     * 查询学工去向调查发布	列表
     *
     * @param surSurvey 学工去向调查发布	
     * @return 学工去向调查发布	集合
     */
    List<SurSurvey> selectSurSurveyList(SurSurvey surSurvey);

    /**
     * 新增学工去向调查发布	
     *
     * @param surSurvey 学工去向调查发布	
     * @return 结果
     */
    int insertSurSurvey(SurSurvey surSurvey);

    /**
     * 修改学工去向调查发布	
     *
     * @param surSurvey 学工去向调查发布	
     * @return 结果
     */
    int updateSurSurvey(SurSurvey surSurvey);

    /**
     * 批量删除学工去向调查发布	
     *
     * @param surveyIds 需要删除的学工去向调查发布	主键集合
     * @return 结果
     */
    int deleteSurSurveyBySurveyIds(Long[] surveyIds);

    /**
     * 删除学工去向调查发布	信息
     *
     * @param surveyId 学工去向调查发布	主键
     * @return 结果
     */
    int deleteSurSurveyBySurveyId(Long surveyId);
}
